If that's not possible, you have to set your library to target x86 then. Which also means your library can't be used by applications that compiles with target = x64.

My advice would be try to see if you can get 64-bit runtime from vendors (some software vendors make it possible to use newer version of runtime with old license, just that it won't enter design mode. If you're running out of budget, it's be wise to just check and see if that move is possible.)

Btw, it'd be justifiable expense to buy software that your code is rely on. Try to ask your boss.